AnsweredAssumed Answered

Yocto Beginner - Build Errors When Layers / Recipes Added

Question asked by Aaron Sarginson on May 3, 2017
Latest reply on May 25, 2017 by he he
I have been trying to get a build up and running for the past couple of days following the latest official quick-start guide with no success (Debian 8 —> Debian 7 —> Ubuntu LTS…)
I want to have openssh, ntp, iptables, dnsmasq and hostapd added to the build. The meta-amd layer was added in case of there being anything useful for a GX-412TC Crowned Eagle CPU. It doesn’t seem to have any impact at the moment.
 
My bblayers.conf customisations:
 
  /home/aaron/poky/meta-amd/common \
  /home/aaron/poky/meta-openembedded/meta-networking \
  /home/aaron/poky/meta-openembedded/meta-python \
  /home/aaron/poky/meta-openembedded/meta-oe \
 
Each of these was added to the poky directory using git clone “link”. The last two are dependencies for meta-networking.
 
I have added the following to my local.conf:
 
CORE_IMAGE_EXTRA_INSTALL += "openssh ntp iptables dnsmasq hostapd”
 
On running bitbake core-image-minimal I get the below error.
Is there something wrong with how I am doing this?
 
ERRORExpansionError during parsing /home/aaron/poky/meta-openembedded/meta-python/recipes-extended/python-pyephem/python-pyephem_3.7.6.0.bb
Traceback (most recent call last):
  File "/home/aaron/poky/bitbake/lib/bb/data_smart.py", line 386, in DataSmart.expandWithRefs(s=' ${PYPI_SRC_URI}', varname='SRC_URI'):
                 try:
    >                s = __expand_var_regexp__.sub(varparse.var_sub, s)
                     try:
  File "/home/aaron/poky/bitbake/lib/bb/data_smart.py", line 111, in VariableParse.var_sub(match=<_sre.SRE_Match object; span=(1, 16), match='${PYPI_SRC_URI}'>):
                 else:
    >                var = self.d.getVarFlag(key, "_content", True)
                 self.references.add(key)
  File "/home/aaron/poky/bitbake/lib/bb/data_smart.py", line 737, in DataSmart.getVarFlag(var='PYPI_SRC_URI', flag='_content', expand=True, noweakdefault=False, parsing=False):
                     cachename = var + "[" + flag + "]"
    >            value = self.expand(value, cachename)
     
  File "/home/aaron/poky/bitbake/lib/bb/data_smart.py", line 410, in DataSmart.expand(s='${@pypi_src_uri(d)}', varname='PYPI_SRC_URI'):
         def expand(self, s, varname = None):
    >        return self.expandWithRefs(s, varname).value
     
  File "/home/aaron/poky/bitbake/lib/bb/data_smart.py", line 400, in DataSmart.expandWithRefs(s='${@pypi_src_uri(d)}', varname='PYPI_SRC_URI'):
                 except Exception as exc:
    >                raise ExpansionError(varname, s, exc) from exc
     
bb.data_smart.ExpansionError: Failure expanding variable PYPI_SRC_URI, expression was ${@pypi_src_uri(d)} which triggered exception TypeError: getVar() missing 1 required positional argument: 'expand'
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

Outcomes